App\Entity\User:
    user_admin:
        name: 'admin'
        email: 'admin@paraboro.com'
        password: <hashPassword('test1234test')>
        roles: ['ROLE_ADMIN']
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'en'
    user_pierre:
        name: 'pierre'
        email: 'pierre@paraboro.com'
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'fr'
    user_martin:
        name: 'martin'
        email: 'martin@paraboro.com'
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'fr'
    user_paul:
        name: 'paul'
        email: 'paul@paraboro.com'
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'de'
    user_in_pierre:
        name: 'user in pierre'
        email: 'in_pierre@paraboro.com'
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'en'
    user_in_pierre_random_{1..10}:
        name: <username()>
        email: <email()>
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'en'
    an_user_in_no_group:
        name: 'user no group'
        email: 'no_group@paraboro.com'
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'en'
    user_reset_token_expired:
        name: 'user reset token expired'
        email: 'reset_token_expired@paraboro.com'
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        resetToken: 'reset-token-expired'
        resetTokenTimestamp: <dateTimeBetween('-4 day', '- 3 day')>
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'en'
    user_reset_token_ok:
        name: 'user reset token ok'
        email: 'reset_token_ok@paraboro.com'
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        resetToken: 'reset-token-ok'
        resetTokenTimestamp: <dateTimeBetween('- 60 minutes', 'now')>
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'en'
    user_random_{1..20}:
        name: <username()>
        email: <email()>
        password: <hashPassword('test1234test')>
        roles: ['ROLE_USER']
        registeredOn: <dateTimeBetween('2020-01-01', 'now')>
        language: 'en'
